To enable automation or remote messaging from IoT devices, bots, or external services, each user can generate their unique API key.
The API key is included in your request header using trevoapi. The backend will:
This makes the API ideal for integration in frontend features or external devices (like minibots, home automation, etc.).
Send a POST request to create a new message and trigger a task:
POST https://trevo.onrender.com/api/message
Headers:
Content-Type: application/json
trevoapi: YOUR_API_KEY_HERE
Body:
{
"prompt": "Create a message tha will make my friend enjoy his birthday. Send this message later to Name in 1hr in my Msg App. Also, do this task yearly until 2030."
}
More endpoints and usage patterns coming soon. API access is under active development. Contact support for special use cases.